% Based on LLNCS macro package for Springer Computer Science proceedings;
% Version 2.20 of 2017/10/04
\documentclass[runningheads]{llncs}
\usepackage{pre}

\begin{document}
\pagenumbering{roman}

\maketitle
\begin{abstract}
  Modern \acl{CAD} applications need to employ, to a lesser or greater extent,
  geometric constraints that condition the geometric models being produced. As
  an example, consider that of a line that goes through a point and is parallel
  to another line, or constructing a circle from three points. The specification
  (and solving) of geometric constraints allows the creation of geometric shapes
  that, otherwise, would require substantially more complex descriptions. The
  inclusion, in a programming language, of primitive operations for creating
  geometric constraints augments the expressiveness of the language and frees
  the programmer from the specification of otherwise apparently irrelevant
  details. Said primitive operations could include the definition of incidence
  relations, parallelism or perpendicularity, distances, angles, etc., to which
  the various parts in a geometric model must obey. The focus of this work is
  the creation and implementation, of geometric constraint primitives that
  facilitate the specification of geometric forms.

  \keywords{
    Algorithmic Design \and%
    \acl{GCS} \and%
    Parametric \acs{CAD} \and%
    Programming Language}
\end{abstract}

\clearpage

\tableofcontents

\listoffigures
\listoflistings
\listoftables

\section*{\cfttoctitlefont List of Acronyms and Abbreviations}
\begin{acronym}[CGAL]
  \acro{AD}   {Algorithmic Design}
  \acro{AEC}  {Architecture, Engineering, and Construction}
  \acro{API}  {Application Programming Interface}
  \acro{B-Rep}{Boundary Representation}
  \acro{BIM}  {Building Information Modelling}
  \acro{CAD}  {Computer-Aided Design}
  \acro{CGAL} {Computational Geometry Algorithms Library}
  \acro{CS}   {Computer Science}
  \acro{CSG}  {Constructive Solid Geometry}
  \acro{CSP}  {Constraint Satisfaction Problem}
  \acro{DSL}  {Domain-specific Language}
  \acro{GCS}  {Geometric Constraint Solving}
  \acro{GUI}  {Graphical User Interface}
  \acro{IDE}  {Integrated Development Environment}
  \acro{LEDA} {Library for Efficient Data Types and Algorithms}
  \acro{PGF}  {Portable Graphics Format}
  \acro{SDK}  {Software Development Kit}
  \acro{TikZ} {TikZ ist \textit{kein} Zeichenprogramm}
  \acro{TPL}  {Textual Programming Language}
  \acro{VBA}  {Visual Basic for Applications}
  \acro{VPL}  {Visual Programming Language}
\end{acronym}

\clearpage
\pagenumbering{arabic}

\input{tex/intro}
\input{tex/related}
\input{tex/solution}
\input{tex/method}
\input{tex/schedule}
\input{tex/conclusion}

\clearpage

\bibliographystyle{splncsnat}
\bibliography{refs}

\end{document}
